#ifndef OPTIONS_H
#define OPTIONS_H

#include <QApplication>
#include <QTime>

class QString;

class Options : public QObject
{

public:
    explicit Options (QString joueur1 = "Joueur 1", QString joueur2 = "Joueur 2", QTime const& time = QTime (0,0,0,0), bool son = true, QObject *parent = nullptr);
    virtual ~Options();
    void setTempsDepart (QTime const& temps);
    void setNomJoueur1 (QString joueur);
    void setNomJoueur2 (QString joueur);
    void setSon (bool son);
    QString nomJoueur1 () const;
    QString nomJoueur2 () const;
    QTime tempsDepart () const;
    bool son () const;

public slots:

signals:

private:
    QTime   _tempsDepart;
    QString _nomJoueur1;
    QString _nomJoueur2;
    bool    _son;

};

#endif // OPTIONS_H
